/*
This is a part of the LiteStep Shell Source code.

Copyright (C) 1997-2001 The LiteStep Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/ 
/*
  Copyright (C) 1998-1999 Johan Redestig
 
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#if !defined(AFX_TASKFOLDERITEM_H__7B661E05_884A_11D2_B6C1_00C0DF466974__INCLUDED_)
#define AFX_TASKFOLDERITEM_H__7B661E05_884A_11D2_B6C1_00C0DF466974__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "FolderItem.h"
class PopupMaker;

class TaskFolder : public FolderItem
{
public:
	TaskFolder(PopupMaker* pPopupMaker, LPSTR pszTitle);
	TaskFolder(PopupMaker* pPopupMaker, LPSTR pszTitle, int FilterLevel);
	virtual ~TaskFolder();
	BOOL Active(BOOL bActivate);
	void AddWindow(HWND hWnd);
	void Attached(PopupMenu* pMenu);

	void Timer(int nTimer);
	void UpdateFolder();

	static void SetTaskFolderTimerInterval(int interval)
	{
		TaskFolderTimerInterval = interval;
	}
	static void TaskFolder::SetSort(BOOL zort)
	{
		sort = zort;
	}
	static int TaskFolder::GetNumIgnore()
	{
		return numIgnore;
	}

protected:
	PopupMaker* m_pPopupMaker;
	int m_nTimer;
//	static void ReadPopupTaskFolderIgnore();
	static int numIgnore;
	static int TaskFolderTimerInterval;
	int TaskFolderFilterLevel;
	static BOOL sort;

};

#endif // !defined(AFX_TASKFOLDERITEM_H__7B661E05_884A_11D2_B6C1_00C0DF466974__INCLUDED_)
